package org.project.item.consumables;

import org.project.entity.Entity;

// TODO: UPDATE IMPLEMENTATION
public abstract class Consumable
{
    /*
    TODO: ADD OTHER REQUIRED AND BONUS METHODS
    */
    protected String name;
    protected int value;

    public Consumable(String name, int value)
    {
        this.name = name;
        this.value = value;
    }
    public abstract void use(Entity target);

    public String getName()
    {
        return name;
    }

    public int getValue()
    {
        return value;
    }
}
